{*
* 2018 Tuxpan
* Template para configurar plugin Flow
*
*  @author flow.cl
*  @copyright  2018 Tuxpan
*  @license    http://127.0.0.1
*  @Filename: flowpaymentop.php
*  @version: 2.0
*  @Email: jpradenas@tuxpan.com
*  @Date: 15-05-2018 11:00
*  @Last Modified by: Jaime Pradenas
*  @Last Modified time: 15-05-2018 11:00
*}
<img src="{$img_header}"/>

<h2>{l s='Pago con tarjetas de crédito o débito usando Flow' mod='flowpaymentop'}</h2>

<fieldset>
    <legend><img src="../img/admin/warning.gif"/>{l s='Information' mod='flowpaymentop'}</legend>
    <div class="margin-form">Module version: {$version}</div>

</fieldset>

<form action="{$post_url}" method="post" enctype="multipart/form-data" style="clear: both; margin-top: 10px;">
    <fieldset>

        <legend><img src="../img/admin/contact.gif"/>{l s='Settings' mod='flowpaymentop'}</legend>

        <label for="platformType">{l s='Plataforma de Flow' mod='flowpaymentop'}</label>
        <div class="margin-form">
            <select name="platformType">
                <option value="test" {if $data_platformType eq "test"}selected{/if}>Plataforma de pruebas de Flow</option>
                <option value="real" {if $data_platformType eq "real"}selected{/if}>Plataforma oficial de Flow</option>
            </select>
        </div>
        {if isset($errors.title)}
            <div class="error">
                <p>{$errors.title}</p>
            </div>
        {/if}

        <label for="title">{l s='Nombre del medio de pago' mod='flowpaymentop'}</label>

        <div class="margin-form"><input type="text" size="60" id="title" name="title" maxsize="100"
                                        value="{$data_title}" placeholder="Ingrese el nombre que se mostrará al usuario"/></div>
        {if isset($errors.apiKey)}
            <div class="error">
                <p>{$errors.apiKey}</p>
            </div>
        {/if}
        <label for="privateKey">{l s='Llave integración seguridad (Api Key)' mod='flowpaymentop'}</label>
        <div class="margin-form"><input type="text" size="40" name="apiKey" value="{$data_apiKey}"/></div>

        {if isset($errors.privateKey)}
            <div class="error">
                <p>{$errors.privateKey}</p>
            </div>
        {/if}
        <label for="secretKey">{l s='Llave privada Flow (Secret Key)' mod='flowpaymentop'}</label>

        <div class="margin-form"><input type="text" size="40" name="privateKey" value="{$data_privateKey}"/></div>

        {if $medio_pago eq "multicaja"}
            {if isset($errors.urlRetorno)}
                <div class="error">
                    <p>{$errors.urlRetorno}</p>
                </div>
            {/if}
        
            <label for="urlRetorno">{l s='URL Retorno' mod='flowpaymentop'}</label>

            <div class="margin-form"><input type="text" size="50" name="urlRetorno" value="{$data_urlRetorno}"/></div>
        {/if}
 
        {if $medio_pago eq "servipag"}
            {if isset($errors.urlRetorno)}
                <div class="error">
                    <p>{$errors.urlRetorno}</p>
                </div>
            {/if}
        
            <label for="urlRetorno">{l s='URL Retorno' mod='flowpaymentopflow'}</label>

            <div class="margin-form"><input type="text" size="50" name="urlRetorno" value="{$data_urlRetorno}"/></div>
        {/if}
        
 		{if $medio_pago eq "flow"}
            {if isset($errors.urlRetorno)}
                <div class="error">
                    <p>{$errors.urlRetorno}</p>
                </div>
            {/if}
        
            <label for="urlRetorno">{l s='URL Retorno' mod='flowpaymentopflow'}</label>

            <div class="margin-form"><input type="text" size="50" name="urlRetorno" value="{$data_urlRetorno}"/></div>
        {/if}
        
        {if isset($errors.additional)}
            <div class="error">
                <p>{$errors.additional}</p>
            </div>
        {/if}

        <label for="additional">{l s='Cobro adicional (en %)' mod='flowpaymentop'}</label>

        <div class="margin-form"><input type="text" size="5" id="additional" name="additional"
                                        value="{$data_additional}"/></div>
                                        
        {if isset($errors.logoSmall)}
            <div class="error">
                <p>{$errors.logoSmall}</p>
            </div>
        {/if}
		<label for="logoSmall">{l s='Logo que se mostrará' mod='flowpaymentop'}</label>

        <div class="margin-form"><img src="{$data_logoSmall}"/><input type="file" name="logoSmall" /></div>


        <center><input type="submit" name="flow_updateSettings" value="{l s='Save Settings' mod='flowpaymentop'}"
                       class="button" style="cursor: pointer; display:"/></center>
    </fieldset>
</form>
